//------------------------------------------------------------------------------
//
//  ShortCut property editor 1.0
//
//  Copyright (C) 1999 by Delphi ArtWare Creators
//  http://www.theoffice.net/dawc
//
//------------------------------------------------------------------------------

unit UdawcShortCut;

interface

uses
  DsgnIntf;

type
  TdawcShortCut = class( TPropertyEditor )
  public
    function GetAttributes: TPropertyAttributes; override;
    function GetValue: string; override;
    procedure Edit; override;
  end;

procedure Register;

implementation

uses
  Classes, Controls, Forms, FdawcShortCut, Menus;

function TdawcShortCut.GetAttributes: TPropertyAttributes;
begin
  Result := [ paDialog, paMultiSelect, paReadOnly, paRevertable ];
end;

function TdawcShortCut.GetValue: string;
begin
  Result := ShortCutToText( GetOrdValue( ) );
  if Result = '' then begin
    Result := '(None)';
  end;
end;

procedure TdawcShortCut.Edit;
begin
  frmShortCut := TfrmShortCut.Create( Application );
  try
    frmShortCut.hkShortCut.HotKey := GetOrdValue( );
    if frmShortCut.ShowModal( ) = mrOk then begin
      SetOrdValue( frmShortCut.hkShortCut.HotKey );
    end;
  finally
    frmShortCut.Free( );
  end;
end;

procedure Register;
begin
  RegisterPropertyEditor( TypeInfo( TShortCut ), nil, '', TdawcShortCut );
end;

end.
